Bug 186421 - net/x2goclient: Update to version 4.0.1.3
Summary: net/x2goclient: Update to version 4.0.1.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-02-03 18:40 UTC by tkato432
Modified: 2014-02-07 13:00 UTC (History)
0 users

See Also:


Attachments
file.diff (1.72 KB, patch)
2014-02-03 18:40 UTC, tkato432
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tkato432 2014-02-03 18:40:02 UTC
- Update to version 4.0.1.3
Comment 1 Martin Wilke freebsd_committer 2014-02-05 07:40:52 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 2 Martin Wilke freebsd_committer 2014-02-07 12:55:52 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 3 dfilter service freebsd_committer 2014-02-07 12:56:29 UTC
Author: miwi
Date: Fri Feb  7 12:56:21 2014
New Revision: 343221
URL: http://svnweb.freebsd.org/changeset/ports/343221
QAT: https://qat.redports.org/buildarchive/r343221/

Log:
  - Update to 4.0.13
  
  PR:		186421
  Submitted by:	ports fury

Modified:
  head/net/x2goclient/Makefile
  head/net/x2goclient/distinfo

Modified: head/net/x2goclient/Makefile
==============================================================================
--- head/net/x2goclient/Makefile	Fri Feb  7 12:53:12 2014	(r343220)
+++ head/net/x2goclient/Makefile	Fri Feb  7 12:56:21 2014	(r343221)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	x2goclient
-PORTVERSION=	4.0.1.2
+PORTVERSION=	4.0.1.3
 CATEGORIES=	net
 MASTER_SITES=	http://code.x2go.org/releases/source/x2goclient/
 
@@ -18,9 +18,6 @@ LIB_DEPENDS=	libcups.so:${PORTSDIR}/prin
 RUN_DEPENDS=	nxproxy:${PORTSDIR}/net/nxproxy \
 		x2goclient-cli:${PORTSDIR}/net/x2goclient-cli
 
-OPTIONS_DEFINE=	LDAP DOCS
-OPTIONS_DEFAULT=LDAP
-
 USES=		qmake
 USE_XORG=	xpm
 USE_QT4=	gui network svg \
@@ -28,15 +25,13 @@ USE_QT4=	gui network svg \
 QMAKE_ARGS=	QMAKE_LRELEASE="${LRELEASE}"
 INSTALLS_ICONS=	yes
 
-.include <bsd.port.options.mk>
+OPTIONS_DEFINE=		DOCS LDAP
+OPTIONS_DEFAULT=	LDAP
 
-.if ${PORT_OPTIONS:MLDAP}
-USE_OPENLDAP=	yes
-CFLAGS+=	-DUSELDAP
-QMAKE_ARGS+=	LIBS+="-lX11 -lXpm -lcups -lldap"
-.else
-QMAKE_ARGS+=	LIBS+="-lX11 -lXpm -lcups"
-.endif
+LDAP_USE=		OPENLDAP=yes
+LDAP_CFLAGS=		-DUSELDAP
+LDAP_QMAKE_ON=		LIBS+="-lX11 -lXpm -lcups -lldap"
+LDAP_QMAKE_OFF=		LIBS+="-lX11 -lXpm -lcups"
 
 post-patch:
 	@${FIND} ${WRKSRC} -name "*.cpp" -or -name "*.h" | ${XARGS} \

Modified: head/net/x2goclient/distinfo
==============================================================================
--- head/net/x2goclient/distinfo	Fri Feb  7 12:53:12 2014	(r343220)
+++ head/net/x2goclient/distinfo	Fri Feb  7 12:56:21 2014	(r343221)
@@ -1,2 +1,2 @@
-SHA256 (x2goclient-4.0.1.2.tar.gz) = feaf9532ebc4ee7cc7ac1342aa9ec59726dbf7f92d2f2e8e9da39fc96afe0823
-SIZE (x2goclient-4.0.1.2.tar.gz) = 1363858
+SHA256 (x2goclient-4.0.1.3.tar.gz) = 7efa1f082bfe6808e651f6086c984c17202e9a98030eb23bd66132b1875428dc
+SIZE (x2goclient-4.0.1.3.tar.gz) = 1368328
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"